Subject: Viewhelpers for strtolower/strtoupper
Description

I would like to see 2 viewhelpers for strtolower() and strtoupper().

At the first this maybe sounds silly because this can be solved with CSS but this is not entirly true. There are languages (e.g. greek)
where doing a simple "text-transform:uppercase" will be stupid because this can change the meaning of the text. The reason is
because CSS is stupid and doesn't take the locale into account but PHP does.

Related issues:
duplicated by TYPO3.Fluid - Feature # 44572: Format.Case ViewHelper in order ... Resolved 2013-01-16

History
#1 - 2011-05-27 16:23 - Georg Ringer
- File StrtolowerViewHelper.php added
- File StrtoupperViewHelper.php added

#2 - 2011-07-20 00:58 - Stefan Neufeind

How about ucfirst or ucwords then as well? (We lately had that topic regarding csConv for TYPO3 v4.)
And shouldn't we then use one ViewHelper for them all? Some name like "caseconv" with a mode-setting?

#3 - 2011-07-20 06:21 - Georg Ringer

good idea!

#4 - 2013-06-02 14:53 - Andreas Wolf

As #44572 has been resolved, this could be closed.

#5 - 2013-06-04 14:51 - Adrian Föder
- Status changed from New to Resolved

Good catch Andreas, thanks!

#6 - 2013-06-04 15:58 - Bastian Waidelich
- Status changed from Resolved to Closed

I just set the status to "closed" so we don't have two tickets resolving the same issue
Files
StrtolowerViewHelper.php 2.2 kB 2011-05-27 Georg Ringer
StrtoupperViewHelper.php 2.2 kB 2011-05-27 Georg Ringer
